# cbattery

cbattery is a script for managing battery-related settings on Apple Silicon systems.

## Installation

You can install `cbattery` using Homebrew:

```bash
brew tap santilococo/cmtap
brew install santilococo/cbattery
```

This will also install the necessary `smc` dependency.

## Usage

Once installed, you can use `cbattery` to manage battery-related settings on your M1 system. Here are some common commands:

- **Toggle charging**: `cbattery charging [on|off]`
- **Toggle adapter connection**: `cbattery adapter [on|off]`
- **Get status information**: `cbattery status`

For more information on available commands, you can use the `help` command:

```bash
cbattery help
```

## Uninstallation

To uninstall `cbattery` from your system:

```bash
brew uninstall cbattery
```

## Contributing

If you encounter any issues with `cbattery` or would like to contribute to its development, please feel free to open an issue or submit a pull request on the [GitHub repository](https://git.slc.ar/slococo/cbattery). We welcome any feedback or contributions!

## License

This project is licensed under the GPL-2.0 License - see the [LICENSE](LICENSE.md) file for details.
